/*
                       YConsole Window Callbacks
 */

#ifndef YCONSOLECB_H
#define YCONSOLECB_H

#include <gtk/gtk.h>
#include "yconsolewin.h"

extern gint YConsoleDeleteEventCB(
        GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void YConsoleDestroyCB(GtkObject *object, gpointer data);

extern gint YConsoleDSPViewButtonCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint YConsoleConBarAudioButtonCB(
        GtkWidget *widget, GdkEventButton *button, gpointer data
);

extern void YConsoleConnectCB(
        GtkWidget *widget, const gchar *s, gpointer data
);
extern void YConsoleYServerListCB(GtkWidget *widget, gpointer data);
extern void YConsoleCloseCB(GtkWidget *widget, gpointer data);
extern void YConsoleNewYConsoleCB(GtkWidget *widget, gpointer data);
extern void YConsoleNewYMixerCB(GtkWidget *widget, gpointer data);
extern void YConsoleNewYAudioCB(GtkWidget *widget, gpointer data);
extern void YConsoleNewYPlayerCB(GtkWidget *widget, gpointer data);
extern void YConsoleUptionsCB(GtkWidget *widget, gpointer data);
extern void YConsoleRefreshCB(GtkWidget *widget, gpointer data);
extern gboolean YConsoleShelloutCB(
        GtkWidget *widget, gboolean shellout, gpointer data
);
extern void YConsoleShutdownCB(GtkWidget *widget, gpointer data);
extern void YConsoleManageCB(yconsole_struct *yc);
extern void YConsoleManage2CB(yconsole_struct *yc);

extern void YConsoleReconfiguredCB(
        yconsole_struct *yc, gpointer core_ptr
);

#endif /* YCONSOLECB_H */
