/*
		       YMixer Window Callbacks
 */

#ifndef YMIXERCB_H
#define YMIXERCB_H

#include <gtk/gtk.h>
#include "ymixer.h"

extern gint YMixerDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void YMixerDestroyCB(GtkObject *object, gpointer data);

extern gint YMixerDSPViewButtonCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);

extern gint YMixerScaleKeyEventCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern void YMixerScaleValueChangeCB(GtkAdjustment *adj, gpointer data);
extern gint YMixerScaleRulerEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern void YMixerConnectCB(
	GtkWidget *widget, const gchar *s, gpointer data
);
extern void YMixerYServerListCB(GtkWidget *widget, gpointer data);
extern void YMixerCloseCB(GtkWidget *widget, gpointer data);
extern void YMixerNewYConsoleCB(GtkWidget *widget, gpointer data);
extern void YMixerNewYMixerCB(GtkWidget *widget, gpointer data);
extern void YMixerNewYAudioCB(GtkWidget *widget, gpointer data);
extern void YMixerNewYPlayerCB(GtkWidget *widget, gpointer data);
extern void YMixerOptionsCB(GtkWidget *widget, gpointer data);
extern void YMixerRefreshCB(GtkWidget *widget, gpointer data);
extern gboolean YMixerShelloutCB(
	GtkWidget *widget, gboolean shellout, gpointer data
);
extern void YMixerShutdownCB(GtkWidget *widget, gpointer data);
extern void YMixerManageCB(ymixer_struct *ym);
extern void YMixerManage2CB(ymixer_struct *ym);

extern void YMixerReconfiguredCB(
	ymixer_struct *ym, gpointer core_ptr
);

#endif /* YMIXERCB_H */
