/*
		       YAudio Window Callbacks
 */

#ifndef YAUDIOCB_H
#define YAUDIOCB_H

#include <gtk/gtk.h>
#include "yaudio.h"

extern void YAudioAudioPresetModeDestroyCB(gpointer data);
extern gint YAudioDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void YAudioDestroyCB(GtkObject *object, gpointer data);

extern gint YAudioDSPViewButtonCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);

extern gint YAudioModesListKeyEventCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint YAudioModesListButtonEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern void YAudioModesListSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void YAudioModesListUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void YAudioAudioModesListSelectModeCB(GtkWidget *widget, gpointer data);
extern void YAudioAudioModesListCurrentModeCB(GtkWidget *widget, gpointer data);

extern void YAudioAudioValuesCalculateCycleCB(
	GtkWidget *widget, gpointer data
);
extern void YAudioAudioValuesSetCB(GtkWidget *widget, gpointer data);
extern void YAudioAudioValuesCurrentCB(GtkWidget *widget, gpointer data);

extern void YAudioConnectCB(
	GtkWidget *widget, const gchar *s, gpointer data
);
extern void YAudioYServerListCB(GtkWidget *widget, gpointer data);
extern void YAudioCloseCB(GtkWidget *widget, gpointer data);
extern void YAudioNewYConsoleCB(GtkWidget *widget, gpointer data);
extern void YAudioNewYMixerCB(GtkWidget *widget, gpointer data);
extern void YAudioNewYAudioCB(GtkWidget *widget, gpointer data);
extern void YAudioNewYPlayerCB(GtkWidget *widget, gpointer data);
extern void YAudioUptionsCB(GtkWidget *widget, gpointer data);
extern void YAudioRefreshCB(GtkWidget *widget, gpointer data);
extern gboolean YAudioShelloutCB(
	GtkWidget *widget, gboolean shellout, gpointer data
);
extern void YAudioShutdownCB(GtkWidget *widget, gpointer data);
extern void YAudioManageCB(yaudio_struct *ya);
extern void YAudioManage2CB(yaudio_struct *ya);

extern void YAudioReconfiguredCB(
	yaudio_struct *ya, gpointer core_ptr
);

#endif /* YAUDIOCB_H */
