/*
                        YConsole Configuration List
 */

#ifndef YCCFGLIST_H
#define YCCFGLIST_H


/*
 *      Configuration item parameter names:
 */
#define YC_CFG_PARM_VERSION_MAJOR       "VersionMajor"
#define YC_CFG_PARM_VERSION_MINOR       "VersionMinor"
#define YC_CFG_PARM_VERSION_RELEASE     "VersionRelease"

#define YC_CFG_PARM_DIR_START_UP        "DirectoryStartUp"
#define YC_CFG_PARM_DIR_LOCAL           "DirectoryLocal"
#define YC_CFG_PARM_DIR_GLOBAL          "DirectoryGlobal"
#define YC_CFG_PARM_DIR_TMP             "DirectoryTmp"

#define YC_CFG_PARM_FILE_SERVERS_LIST	"FileServersList"

#define YC_CFG_PARM_SHOW_TOOLTIPS	"ShowToolTips"

#define YC_CFG_PARM_STARTUP_CONSOLE	"StartUpConsole"
#define YC_CFG_PARM_STARTUP_AUDIO	"StartUpAudio"
#define YC_CFG_PARM_STARTUP_MIXER	"StartUpMixer"
#define YC_CFG_PARM_STARTUP_PLAYER	"StartUpPlayer"
#define YC_CFG_PARM_STARTUP_LOCATION	"StartUpLocation"

#define YC_CFG_PARM_DSPVIEW_DISPLAY_STYLE	"DSPViewDisplayStyle"
#define YC_CFG_PARM_DSPVIEW_MERGE_MODE		"DSPViewMergeMode"
#define YC_CFG_PARM_DSPVIEW_COLOR		"DSPViewColor"
#define YC_CFG_PARM_DSPVIEW_TRANSPARENCY	"DSPViewTransparency"
#define YC_CFG_PARM_DSPVIEW_FADE_COEFF		"DSPViewFadeCoeff"

#define YC_CFG_PARM_DSPVIEW_FILE_IMAGE_BG_LARGE		\
					"DSPViewFileImageBgLarge"
#define YC_CFG_PARM_DSPVIEW_IMAGE_BG_LARGE_FIT_METHOD	\
					"DSPViewImageBgLargeFitMethod"
#define YC_CFG_PARM_DSPVIEW_FILE_IMAGE_BG_SMALL		\
					"DSPViewFileImageBgSmall"
#define YC_CFG_PARM_DSPVIEW_IMAGE_BG_SMALL_FIT_METHOD	\
					"DSPViewImageBgSmallFitMethod"

#define YC_CFG_PARM_AUDIO_DISPLAY_COLOR_BG	"AudioDisplayColorBg"
#define YC_CFG_PARM_AUDIO_DISPLAY_COLOR_FG	"AudioDisplayColorFg"
#define YC_CFG_PARM_AUDIO_DISPLAY_COLOR_FG_DIM	"AudioDisplayColorFgDim"
#define YC_CFG_PARM_AUDIO_DISPLAY_FONT_LARGE	"AudioDisplayFontLarge"
#define YC_CFG_PARM_AUDIO_DISPLAY_FONT_MEDIUM	"AudioDisplayFontMedium"
#define YC_CFG_PARM_AUDIO_DISPLAY_FONT_SMALL	"AudioDisplayFontSmall"

#define YC_CFG_PARM_MIXER_COLOR_USE_DEFAULT	"MixerColorUseDefault"
#define YC_CFG_PARM_MIXER_COLOR_FG		"MixerColorFG"
#define YC_CFG_PARM_MIXER_COLOR_BG		"MixerColorBG"
#define YC_CFG_PARM_MIXER_COLOR_BG_PRELIGHT	"MixerColorBGPrelight"
#define YC_CFG_PARM_MIXER_COLOR_TEXT		"MixerColorText"
#define YC_CFG_PARM_MIXER_COLOR_BASE		"MixerColorBase"

#define YC_CFG_PARM_CONSOLE_SAVE_POSITIONS	"ConsoleSavePositions"
#define YC_CFG_PARM_CONSOLE_X			"ConsoleX"
#define YC_CFG_PARM_CONSOLE_Y			"ConsoleY"
#define YC_CFG_PARM_CONSOLE_WIDTH		"ConsoleWidth"
#define YC_CFG_PARM_CONSOLE_HEIGHT		"ConsoleHeight"

#define YC_CFG_PARM_AUDIO_SAVE_POSITIONS	"AudioSavePositions"
#define YC_CFG_PARM_AUDIO_X			"AudioX"
#define YC_CFG_PARM_AUDIO_Y			"AudioY"
#define YC_CFG_PARM_AUDIO_WIDTH			"AudioWidth"
#define YC_CFG_PARM_AUDIO_HEIGHT		"AudioHeight"
#define YC_CFG_PARM_AUDIO_MODES_LIST_COLUMN_WIDTHS "AudioModesListColumnWidths"
#define YC_CFG_PARM_AUDIO_PAGE			"AudioPage"

#define YC_CFG_PARM_MIXER_SAVE_POSITIONS	"MixerSavePositions"
#define YC_CFG_PARM_MIXER_X			"MixerX"
#define YC_CFG_PARM_MIXER_Y			"MixerY"
#define YC_CFG_PARM_MIXER_WIDTH			"MixerWidth"
#define YC_CFG_PARM_MIXER_HEIGHT		"MixerHeight"
#define YC_CFG_PARM_MIXER_MIXER_SCALE_LABEL_TYPE	\
						"MixerMixerScaleLabelType"
#define YC_CFG_PARM_MIXER_MIXER_SCALES		"MixerMixerScales"
#define YC_CFG_PARM_MIXER_SHOW_MIXER_BUTTONS	"MixerShowMixerButtons"
#define YC_CFG_PARM_MIXER_SHOW_MIXER_VALUE	"MixerShowMixerValue"

#define YC_CFG_PARM_PLAYER_SAVE_POSITIONS	"PlayerSavePositions"
#define YC_CFG_PARM_PLAYER_X			"PlayerX"
#define YC_CFG_PARM_PLAYER_Y			"PlayerY"
#define YC_CFG_PARM_PLAYER_WIDTH		"PlayerWidth"
#define YC_CFG_PARM_PLAYER_HEIGHT		"PlayerHeight"
#define YC_CFG_PARM_PLAYER_SNDOBJ_PANED_POSITION "PlayerSnddObjPanedPosition"
#define YC_CFG_PARM_PLAYER_SNDOBJ_LIST_COLUMN_WIDTHS "PlayerSndObjListColumnWidths"
#define YC_CFG_PARM_PLAYER_SNDOBJ_DEFAULT_PLAYLIST_FILE		\
						"PlayerSndObjDefaultPlayListFile"
#define YC_CFG_PARM_PLAYER_SNDOBJ_LAST_PATH	"PlayerSndObjLastPath"
#define YC_CFG_PARM_PLAYER_SNDOBJ_PLAYLIST_LAST_PATH "PlayerSndObjPlayListLastPath"
#define YC_CFG_PARM_PLAYER_SNDOBJ_CHANGE_MODE	"PlayerSndObjChangeMode"
#define YC_CFG_PARM_PLAYER_SNDOBJ_REPEAT	"PlayerSndObjRepeat"
#define YC_CFG_PARM_PLAYER_SNDOBJADV_VOLUME_X	"PlayerSndObjAdvVolumeX"
#define YC_CFG_PARM_PLAYER_SNDOBJADV_VOLUME_Y	"PlayerSndObjAdvVolumeY"
#define YC_CFG_PARM_PLAYER_SNDOBJADV_VOLUME_A	"PlayerSndObjAdvVolumeA"
#define YC_CFG_PARM_PLAYER_SNDOBJADV_LAST_FILE	"PlayerSndObjAdvLastFile"
#define YC_CFG_PARM_PLAYER_SNDOBJADV_REPEAT	"PlayerSndObjAdvRepeat"
#define YC_CFG_PARM_PLAYER_AUDIOCD_TRACKS_LIST_COLUMN_WIDTHS	\
				"PlayerAudioCDTracksListColumnWidths"
#define YC_CFG_PARM_PLAYER_PAGE			"PlayerPage"

#define YC_CFG_PARM_SERVER_LIST_SAVE_POSITIONS	"ServerListSavePositions"
#define YC_CFG_PARM_SERVER_LIST_X		"ServerListX"
#define YC_CFG_PARM_SERVER_LIST_Y		"ServerListY"
#define YC_CFG_PARM_SERVER_LIST_WIDTH		"ServerListWidth"
#define YC_CFG_PARM_SERVER_LIST_HEIGHT		"ServerListHeight"
#define YC_CFG_PARM_SERVER_LIST_COLUMN_WIDTHS	"ServerListColumnWidths"

#define YC_CFG_PARM_STARTUP_DIALOG_SAVE_POSITIONS	"StartupDialogSavePositions"
#define YC_CFG_PARM_STARTUP_DIALOG_X		"StartupDialogX"
#define YC_CFG_PARM_STARTUP_DIALOG_Y		"StartupDialogY"
#define YC_CFG_PARM_STARTUP_DIALOG_WIDTH	"StartupDialogWidth"
#define YC_CFG_PARM_STARTUP_DIALOG_HEIGHT	"StartupDialogHeight"
#define YC_CFG_PARM_STARTUP_DIALOG_AUTO_CLOSE	"StartupDialogAutoClose"


/*
 *	Configuration list:
 *
 *	Values are <type> <parm> <value_ptr>.
 *	See edvcfg.h for a list of valid values for <type>.
 *	Initial value for <value_ptr> should always be NULL.
 */
#define YC_CONFIGURATION_LIST		\
{ \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_VERSION_MAJOR, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_VERSION_MINOR, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_VERSION_RELEASE, NULL }, \
\
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_DIR_START_UP, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_DIR_GLOBAL, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_DIR_LOCAL, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_DIR_TMP, NULL }, \
\
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_FILE_SERVERS_LIST, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_SHOW_TOOLTIPS, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_STARTUP_CONSOLE, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_STARTUP_AUDIO, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_STARTUP_MIXER, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_STARTUP_PLAYER, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_STARTUP_LOCATION, NULL }, \
\
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_DSPVIEW_DISPLAY_STYLE, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_DSPVIEW_MERGE_MODE, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_DSPVIEW_COLOR, NULL }, \
{ CFG_ITEM_TYPE_FLOAT, YC_CFG_PARM_DSPVIEW_TRANSPARENCY, NULL }, \
{ CFG_ITEM_TYPE_FLOAT, YC_CFG_PARM_DSPVIEW_FADE_COEFF, NULL }, \
\
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_DSPVIEW_FILE_IMAGE_BG_LARGE, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_DSPVIEW_IMAGE_BG_LARGE_FIT_METHOD, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_DSPVIEW_FILE_IMAGE_BG_SMALL, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_DSPVIEW_IMAGE_BG_SMALL_FIT_METHOD, NULL }, \
\
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_AUDIO_DISPLAY_COLOR_BG, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_AUDIO_DISPLAY_COLOR_FG, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_AUDIO_DISPLAY_COLOR_FG_DIM, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_AUDIO_DISPLAY_FONT_LARGE, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_AUDIO_DISPLAY_FONT_MEDIUM, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_AUDIO_DISPLAY_FONT_SMALL, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_MIXER_COLOR_USE_DEFAULT, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_MIXER_COLOR_FG, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_MIXER_COLOR_BG, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_MIXER_COLOR_BG_PRELIGHT, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_MIXER_COLOR_TEXT, NULL }, \
{ CFG_ITEM_TYPE_COLOR, YC_CFG_PARM_MIXER_COLOR_BASE, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_CONSOLE_SAVE_POSITIONS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_CONSOLE_X, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_CONSOLE_Y, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_CONSOLE_WIDTH, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_CONSOLE_HEIGHT, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_AUDIO_SAVE_POSITIONS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_AUDIO_X, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_AUDIO_Y, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_AUDIO_WIDTH, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_AUDIO_HEIGHT, NULL }, \
{ CFG_ITEM_TYPE_INTLIST, YC_CFG_PARM_AUDIO_MODES_LIST_COLUMN_WIDTHS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_AUDIO_PAGE, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_MIXER_SAVE_POSITIONS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_MIXER_X, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_MIXER_Y, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_MIXER_WIDTH, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_MIXER_HEIGHT, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_MIXER_MIXER_SCALE_LABEL_TYPE, NULL }, \
{ CFG_ITEM_TYPE_INTLIST, YC_CFG_PARM_MIXER_MIXER_SCALES, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_MIXER_SHOW_MIXER_BUTTONS, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_MIXER_SHOW_MIXER_VALUE, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_PLAYER_SAVE_POSITIONS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_PLAYER_X, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_PLAYER_Y, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_PLAYER_WIDTH, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_PLAYER_HEIGHT, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_PLAYER_SNDOBJ_PANED_POSITION, NULL }, \
{ CFG_ITEM_TYPE_INTLIST, YC_CFG_PARM_PLAYER_SNDOBJ_LIST_COLUMN_WIDTHS, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_PLAYER_SNDOBJ_DEFAULT_PLAYLIST_FILE, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_PLAYER_SNDOBJ_LAST_PATH, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_PLAYER_SNDOBJ_PLAYLIST_LAST_PATH, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_PLAYER_SNDOBJ_CHANGE_MODE, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_PLAYER_SNDOBJ_REPEAT, NULL }, \
{ CFG_ITEM_TYPE_FLOAT, YC_CFG_PARM_PLAYER_SNDOBJADV_VOLUME_X, NULL }, \
{ CFG_ITEM_TYPE_FLOAT, YC_CFG_PARM_PLAYER_SNDOBJADV_VOLUME_Y, NULL }, \
{ CFG_ITEM_TYPE_FLOAT, YC_CFG_PARM_PLAYER_SNDOBJADV_VOLUME_A, NULL }, \
{ CFG_ITEM_TYPE_STRING, YC_CFG_PARM_PLAYER_SNDOBJADV_LAST_FILE, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_PLAYER_SNDOBJADV_REPEAT, NULL }, \
{ CFG_ITEM_TYPE_INTLIST, YC_CFG_PARM_PLAYER_AUDIOCD_TRACKS_LIST_COLUMN_WIDTHS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_PLAYER_PAGE, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_SERVER_LIST_SAVE_POSITIONS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_SERVER_LIST_X, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_SERVER_LIST_Y, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_SERVER_LIST_WIDTH, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_SERVER_LIST_HEIGHT, NULL }, \
{ CFG_ITEM_TYPE_INTLIST, YC_CFG_PARM_SERVER_LIST_COLUMN_WIDTHS, NULL }, \
\
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_STARTUP_DIALOG_SAVE_POSITIONS, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_STARTUP_DIALOG_X, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_STARTUP_DIALOG_Y, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_STARTUP_DIALOG_WIDTH, NULL }, \
{ CFG_ITEM_TYPE_INT32, YC_CFG_PARM_STARTUP_DIALOG_HEIGHT, NULL }, \
{ CFG_ITEM_TYPE_UINT8, YC_CFG_PARM_STARTUP_DIALOG_AUTO_CLOSE, NULL }, \
\
/* Last item must be all 0's. */ \
{ CFG_ITEM_TYPE_NONE, NULL, NULL } \
}


#endif	/* YCCFGLIST_H */
