/*
			 YConsole Image Operations

	For loading of the DSPView background image on to the core
	structure.
 */

#ifndef YCIMG_H
#define YCIMG_H

#include <gtk/gtk.h>
#include "yc.h"

/*
 *	Image fit methods
 */
#define YC_IMG_FIT_METHOD_TILE		0
#define YC_IMG_FIT_METHOD_SCALE		1

extern void YCImgLoadDefault(yc_core_struct *core_ptr);
extern void YCImgLoad(
	yc_core_struct *core_ptr,
	const gchar *large_img_path,
	gint large_img_fit_method,
	const gchar *small_img_path,
	gint small_img_fit_method
);


#endif	/* YCIMG_H */
