/*
			YConsole Core Operations
 */

#ifndef YCOP_H
#define YCOP_H

#include <gtk/gtk.h>
#include "yc.h"


extern gint YCNewYConsole(
	yc_core_struct *core_ptr, const gchar *address
);
extern gint YCNewYAudio(
	yc_core_struct *core_ptr, const gchar *address
);
extern gint YCNewYMixer(
	yc_core_struct *core_ptr, const gchar *address
);
extern gint YCNewYPlayerAudioCD(
	yc_core_struct *core_ptr, const gchar *address,
	gint audio_cd_track_number
);
extern gint YCNewYPlayerSoundObject(
	yc_core_struct *core_ptr, const gchar *address,
	const gchar *sndobj_filename
);
extern gint YCNewYPlayer(
	yc_core_struct *core_ptr, const gchar *address
);
extern gint YCNewYServerList(
	yc_core_struct *core_ptr, GtkWidget *rel_toplevel
);
extern gint YCNewOptWin(
	yc_core_struct *core_ptr, GtkWidget *rel_toplevel
);
extern gint YCNewOptWinSelectPage(
	yc_core_struct *core_ptr, GtkWidget *rel_toplevel,
	gint page_num
);
extern gint YCNewStartupDialog(
	yc_core_struct *core_ptr, GtkWidget *rel_toplevel,
	const gchar *cmd, gboolean block
);
extern void YCReclaimMemory(yc_core_struct *core_ptr);


#endif	/* YCOP_H */
