/*
		       YServer List Window Callbacks
 */

#ifndef YSERVERLISTCB_H
#define YSERVERLISTCB_H

#include <gtk/gtk.h>
#include "yserverlist.h"

extern void YServerListItemDestroyCB(gpointer data);
extern gint YServerListDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void YServerListDestroyCB(GtkObject *object, gpointer data);
extern gint YServerListKeyEventCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint YServerListButtonEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);

extern void YServerListSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void YServerListUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);

extern void YServerListAddCB(GtkWidget *widget, gpointer data);
extern void YServerListEditCB(GtkWidget *widget, gpointer data);
extern void YServerListRemoveCB(GtkWidget *widget, gpointer data);
extern void YServerListShiftUpCB(GtkWidget *widget, gpointer data);
extern void YServerListShiftDownCB(GtkWidget *widget, gpointer data);
extern void YServerListConnectCB(GtkWidget *widget, gpointer data);
extern void YServerListStartCB(GtkWidget *widget, gpointer data);
extern void YServerListCloseCB(GtkWidget *widget, gpointer data);

extern void YServerListReconfiguredCB(
	yserver_list_struct *sl, gpointer core_ptr
);


#endif /* YSERVERLISTCB_H */
